%define momorel 3
%define tftpbase /tftpboot

Name:           pxe
Summary:        A Linux PXE (Preboot eXecution Environment) package.
Group:		System Environment/Daemons
Version:        1.4.2
Release:        %{momorel}m
License:        GPL
URL: 		http://www.kano.org.uk/projects/pxe
BuildPreReq:	dev86
Requires:       chkconfig, syslinux >= 1.67, dhcp, textutils, grep
Provides:	pxeserver
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Source:		http://www.kano.org.uk/projects/pxe/%{name}-%{version}.tar.gz
Source1: 	pxe.init
Source2: 	pxe.conf
Source3:	dhcpd.conf.pxe
Source5:	pxe-linux.tar.gz
Source6:	grubNBI.tar.bz2
Source7:	pxedoc.tar.bz2
Source8:	default
Source9:	messages
Source10:	elilo.efi
Source11:	elilo.txt
Source12:	elilovars.txt
Source13:	elilo.conf
Source14:	help.txt
Patch0:		pxe-1.4.patch
Patch1:		pxe-1.0-cmdlinearg.patch
Patch2:	 	pxe-linux-config.patch
Patch3:		pxe-autoconf.patch
Patch4:		pxe-mtftp.patch
Patch5:		pxe-linux-nbp-makefile.patch
Patch6:		pxe-1.4.gcc33.patch
Patch7:		pxe-segfault_on_exit.patch

%description 
The pxe package contains the PXE (Preboot eXecution Environment)
server and code needed for Linux to boot from a boot disk image on a
Linux PXE server. This package contains a compiltation of PXE bootstraps.


%prep 
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}
%setup -q -T -D -a 5
%setup -q -T -D -a 6
%setup -q -T -D -a 7
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
#%%patch4 -p0
%patch5 -p0
#%patch6 -p0
%patch7 -p0

%build
%configure
%make
make -C pxe-linux/nbp.linux

%install
myname=`id -un`
mygroup=`id -gn`
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{tftpbase}/X86PC/linux/pxelinux.cfg
mkdir -p %{buildroot}%{tftpbase}/IA64PC/linux/

install -m755 %{_builddir}/%{name}-%{version}/pxe %{buildroot}%{_sbindir}
install -m755 %{SOURCE1} %{buildroot}%{_initscriptdir}/pxe
install -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/pxe.conf
install -m755 %{SOURCE3} %{buildroot}%{_sysconfdir}/dhcpd.conf.pxe
install -m644 %{SOURCE8} %{buildroot}%{tftpbase}/X86PC/linux/pxelinux.cfg/default
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/pxe-linux/nbp.linux/linux.0 %{buildroot}%{tftpbase}/X86PC/linux/nbplinux.0
install -m644 %{SOURCE9} %{buildroot}%{tftpbase}/X86PC/linux/messages
install -m644 %{SOURCE10} %{buildroot}%{tftpbase}/IA64PC/linux/linux.0
install -m644 %{SOURCE11} %{buildroot}%{tftpbase}/IA64PC/linux/
install -m644 %{SOURCE12} %{buildroot}%{tftpbase}/IA64PC/linux/
install -m644 %{SOURCE13} %{buildroot}%{tftpbase}/IA64PC/linux/linux.1
install -m644 %{SOURCE14} %{buildroot}%{tftpbase}/X86PC/linux/help.txt

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
mkdir -p %{tftpbase}/X86PC/linux
cp /usr/lib/syslinux/pxelinux.0 %{tftpbase}/X86PC/linux/linux.0 -f
cp /usr/lib/syslinux/memdisk %{tftpbase}/X86PC/linux/ -f
mkdir -p %{_docdir}/%{name}-%{version}/pxelinux
cp -f /usr/lib/syslinux/memdisk  %{_docdir}/%{name}-%{version}/pxelinux/
cp -f /usr/lib/syslinux/pxelinux.0 %{_docdir}/%{name}-%{version}/pxelinux/
/sbin/chkconfig --add pxe
/sbin/chkconfig pxe off

%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del pxe
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENCE INSTALL Changes pxedoc/*
%doc pxe-linux/nbp.linux/linux.0
%doc grubNBI/*
%{_sbindir}/pxe
%config(noreplace) %{_sysconfdir}/pxe.conf
%config(noreplace) %{_sysconfdir}/dhcpd.conf.pxe
%config(noreplace) %{tftpbase}/X86PC/linux/pxelinux.cfg/default
%config(noreplace) %{tftpbase}/X86PC/linux/messages
%config(noreplace) %{tftpbase}/X86PC/linux/help.txt
%{tftpbase}/X86PC/linux/nbplinux.0
%{tftpbase}/IA64PC/linux
%config(noreplace) %{_initscriptdir}/pxe


%changelog
* Tue Mar  8 2005 Toru Hoshina <t@momonga-linux.org>
- (1.4.2-3m)
- revised pxe.init again.

* Sun Mar  6 2005 Toru Hoshina <t@momonga-linux.org>
- (1.4.2-2m)
- revised pxe.init.

* Sun Feb 13 2005 Toru Hoshina <t@momonga-linux.org>
- (1.4.2-1m)
- ver up. mtftpd is no longer provided, please use tftpd.

* Wed Feb  2 2005 Toru Hoshina <t@momonga-linux.org>
- (0.1-12m)
- use g++_3_2 so that gcc2.95.3 is obsoleted.

* Wed Sep  8 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.1-11m)
- use g++_2_95_3 because it cannot be built with gcc-3.4

* Wed May 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.1-10m)
- added BuildPreReq: dev86 >= 0.6.15

* Wed May 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.1-9m)
- fix LIBPATH

* Tue May  4 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.1-8m)
- %%{_initscriptdir}...

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.1-7m)
- explicitly provides libpxelib.so for anaconda.

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1-6m)
- s/Copyright:/License:/

* Tue Oct 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-5m)
- add patches from redhat (0.1-31.99.7.3)

* Thu Sep 26 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1-4m)
- spec file cleanup
- 'disable = yes' as default

* Fri Sep 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-3m)
- remove Prereq: /sbin/chkconfig /etc/init.d
- add Prereq: chkconfig initscripts

* Tue Jul 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-2m)
- bcc cflags

* Mon Jul 29 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1-1m)
  first release for momonga

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 14 2001 Matt Wilson <msw@redhat.com>
- patched pxemisc.h to include both sys/time.h and time.h

* Fri Feb  2 2001 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_tmppath}
- i18nize initscript

* Sat Aug 05 2000 Erik Troan <ewt@redhat.com>
- added patch to handle case w/ we don't get our socket (from 
  tjdougherty@uswest.net)

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun 26 2000 Matt Wilson <msw@redhat.com>
- move init script to /etc/init.d
- added condrestart to init script
- added stop/start functions to init script

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- modified pxe server to return the IP in the reply packet
- compile cleanups
- fixes for building with bash2

* Thu Feb 24 2000 Erik Troan <ewt@redhat.com>
- added license notice

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- strip libraries

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descritpion and summary

* Tue Dec 21 1999 Erik Troan <ewt@redhat.com>
- made "ks" the default command line option

* Sun Sep 26 1999 Erik Troan <ewt@redhat.com>
- added patch for command line args

* Fri Sep 24 1999 Donnie Barnes <djb@redhat.com>
- updated sources from Intel
- updated README from Intel (they didn't like my meager attempt.  Hmmph.)
- removed my patch as they included what appears to be all of it

* Thu Sep 23 1999 Donnie Barnes <djb@redhat.com>
- added README's

* Thu Sep 23 1999 Cristian Gafton <gafton@redhat.com>
- minor cleanups

* Wed Sep 22 1999 Donnie Barnes <djb@redhat.com>
- initial packaging
